# Module: packet/public_key

## packet/public_key

#### new require("packet/public_key")()

  Source:
    - packet/public_key.js, line 35

Source:
  - packet/public_key.js, line 18

### Members

#### algorithm :openpgp.publickey

  Public key algorithm

  ##### Type:

  - openpgp.publickey
  Source:
    - packet/public_key.js, line 45

#### created :Date

  Key creation date.

  ##### Type:

  - Date
  Source:
    - packet/public_key.js, line 39

#### mpi :module:type/mpi

  A list of multiprecision integers

  ##### Type:

  - module:type/mpi
  Source:
    - packet/public_key.js, line 42

#### readPublicKey

  Internal Parser for public keys as specified in RFC 4880 section 5.5.2 Public-Key Packet Formats called by read_tag<num>
  Source:
    - packet/public_key.js, line 59

### Methods

#### getFingerprint() → {String}

  Calculates the fingerprint of the key
  Source:
    - packet/public_key.js, line 157

  ##### Returns:

  A string containing the fingerprint
  Type
    String

#### getKeyId() → {String}

  Calculates the key id of the key
  Source:
    - packet/public_key.js, line 143

  ##### Returns:

  A 8 byte key id
  Type
    String